### Signal

# Clutter Actor::destroy

#### Declaration

    void
    destroy (
      ClutterActor* self,
      gpointer user_data
    )

#### Description [src]

The signal notifies that all references held on the actor which emitted it should be released.

The signal should be used by all holders of a reference on `actor`.

This signal might result in the finalization of the `ClutterActor` if all references are released.

Composite actors should override the default implementation of the class handler of this signal and call `clutter_actor_destroy()` on their children. When overriding the default class handler, it is required to chain up to the parent’s implementation.

Default handler: The default handler is called after the handlers added via `g_signal_connect_after()`.
Signal emission will restart instead of recursing
Hooks are disabled for this signal